Erstellt vor 10 Jahren

Geschlossen vor 8 Jahren

#348 closed defect (fixed)

radvd fails at start

Erstellt von: por Verantwortlicher: er13
Priorität: normal Meilenstein: freetz-1.2
Komponente: avm Version: devel
Stichworte: Beobachter: tk@…, muhlba91
Product Id: 7170 Firmware Version:

Beschreibung (zuletzt geändert von cuma)

see http://www.ip-phone-forum.de/showthread.php?t=182849

Jan  2 10:43:46 fritz daemon.err radvd[1865]: setsockopt(IPV6_RECVPKTINFO): Protocol not available

I use radvd to advertise the IPv6 2001xxx:yyyy::/64 sub network prefix.
It is started after rc.aiccu has succeeded and IPv6 firewall rules have been set.
Currently my freetz revison is trunk 2958 (04.67 fw). When I ran 2887 (last 04.59 fw) before, radvd worked flawlessly.

see attachment for strace output.

Anhänge (10)

rc.radvd.strace.gz (9.1 KB) - hinzugefügt von por vor 10 Jahren.
config.txt (21.7 KB) - hinzugefügt von por vor 10 Jahren.
lsmod.out (1014 Byte) - hinzugefügt von por vor 10 Jahren.
messages (599 Byte) - hinzugefügt von por vor 10 Jahren.
excerpts from syslog when second patch applied
rc.radvd-patch2.strace.gz (9.6 KB) - hinzugefügt von por vor 10 Jahren.
strace when second patch applied
100-radvd-backwards-fix.patch (1.5 KB) - hinzugefügt von Whoopie vor 10 Jahren.
100-radvd-backwards-fix_v2.patch (1.9 KB) - hinzugefügt von Whoopie vor 10 Jahren.
radvd-fix.patch (1.7 KB) - hinzugefügt von Whoopie vor 10 Jahren.
radvd-libc-kernel-build-detect.patch (1.4 KB) - hinzugefügt von Whoopie vor 10 Jahren.
upstream patch
.config (27.3 KB) - hinzugefügt von muhlba91 vor 8 Jahren.
.config File → muhlba91

Alle Anhänge herunterladen als: .zip

Änderungshistorie (60)

Geändert vor 10 Jahren durch por

Geändert vor 10 Jahren durch por

comment:1 Geändert vor 10 Jahren durch kraut

  • Beobachter tk@… hinzugefügt

Could you please have a look on lsmod, if the modul ipv6 is loaded? It seems, that the kernel is lacking ipv6-support:

[pid  2323]      0.001497 setsockopt(4, SOL_IPV6, 0x31 /* IPV6_??? */, [1], 4) = -1 ENOPROTOOPT (Protocol not available) <0.000247>

Normally the package aiccu load the module ipv6, radvd doesn't it currently.

Geändert vor 10 Jahren durch por

comment:2 Geändert vor 10 Jahren durch por

IPv6 works, just radvd doesn't, so no IPv6 auto configuration of the hosts on my local network does not add an IPv6 address for the subnetwork provided by sixxs and subsequently these hosts cannot use IPv6 for external communications.

On the FB IPv6 works all right:

/var/mod/root # ping6 noc.sixxs.net
PING noc.sixxs.net (2001:838:1:1:210:dcff:fe20:7c7c): 56 data bytes
64 bytes from 2001:838:1:1:210:dcff:fe20:7c7c: seq=0 ttl=59 time=36.570 ms

comment:3 Geändert vor 10 Jahren durch Whoopie

I'm a little bit confused. Why is radvd using "49 (hex 0x31)" for IPPROTO_ICMPV6?

[pid  2323]      0.002957 socket(PF_INET6, SOCK_RAW, IPPROTO_ICMPV6) = 4 <0.000366>
[pid  2323]      0.001497 setsockopt(4, SOL_IPV6, 0x31 /* IPV6_??? */, [1], 4) = -1 ENOPROTOOPT (Protocol not available) <0.000247>

It's defined as "58 (hex 0x3A)" in source/avm-gpl-04.67/GPL/base/kernel/linux-2.6.13.1/include/linux/in6.h.

Could you please add a strace from a working radvd?

Could you also try the attached patch radvd-socket.patch? There seems to be a mismatch between uClibc 0.9.29 and kernel 2.6.13 in the IPV6_* definitions.

comment:4 Geändert vor 10 Jahren durch por

Should the #if preprocessor guard not also test on the version of uLibc?

I'll will test the patch on the 7170.

comment:5 Geändert vor 10 Jahren durch kraut

The issue is, that "0x31" (49) is not handled by socket.c of uCLIBC correctly, so that seems to be the reason for that issue. Whoopie is actually searching for a soloution. Please be patient. ;)

comment:6 Geändert vor 10 Jahren durch Whoopie

The #if instruction now does what the combination of kernel 2.6.13 and uClibc 0.9.28 did.

But we also need someone who tests this on a 7270 so that it also works there.

comment:7 Geändert vor 10 Jahren durch por

radvd re-compiled with the socket patch applied, also does not start (on the 7170, r2969)
In the output of strace the following lines where found:

[pid  1596]      0.000965 socket(PF_INET6, SOCK_RAW, IPPROTO_ICMPV6) = 4 <0.000348>
[pid  1596]      0.001616 setsockopt(4, SOL_IPV6, IPV6_PKTINFO, [1], 4) = -1 ENOPROTOOPT (Protocol not available) <0.000223>

comment:8 Geändert vor 10 Jahren durch Whoopie

Could you try the updated patch? radvd at least starts here, but I didn't test if it works properly.

comment:9 Geändert vor 10 Jahren durch por

Result of a test with the second patch applied on a 7170 (r2975): radvd starts but does not work.

Scenario:

- strace -f -r -T -v /etc/init.d/rc.radvd start
- ifup on a workstation on the lan
- /etc/init.d/rc.radvd stop

See attached excerpts from the syslog (messages) and the output of strace (rc.radvd-patch2.strace.gz).

BTW: Please create new patches so that they can be applied from …/make/radvd/patches.

Geändert vor 10 Jahren durch por

excerpts from syslog when second patch applied

Geändert vor 10 Jahren durch por

strace when second patch applied

comment:10 Geändert vor 10 Jahren durch docsteel

Have you set the first IPv6 Address from the Subnet for the Radvd Device (e.g. lan) manually? Then it will work. Otherwise Post the Error/Logfile here.

comment:11 Geändert vor 10 Jahren durch Whoopie

Please discuss this issue upstream: http://lists.litech.org/listinfo/radvd-devel-l

It's an issue inside radvd. The radvd developers are more skilled to solve it.

comment:12 Geändert vor 10 Jahren durch por

The bug has been posted upstream to radvd-devel-l@….

Geändert vor 10 Jahren durch Whoopie

comment:13 Geändert vor 10 Jahren durch Whoopie

Could you please test 100-radvd-backwards-fix.patch? This patch is working fine here.

Geändert vor 10 Jahren durch Whoopie

comment:14 Geändert vor 10 Jahren durch Whoopie

And then 100-radvd-backwards-fix_v2.patch which should handle all possible cases between kernel and uclibc.

comment:15 Geändert vor 10 Jahren durch por

The patch seems to work!

But I encountered another problem when setting the radvd configuration from the freetz webui:

Unset IPv6 address:  already unset.
Unset IPv6 Subnet Address:  already unset.
Disable IPv6 forwarding...done.
Saving settings...error reading post data, 0 bytes read, 96 expedted
done.
Saving radvd.cfg...done.

Writing /var/flash/freetz...done.
44544 bytes written.

Only after manually writing the correct values in /mod/etc/conf/radvd.cfg, radvd could be started succesfully.

comment:16 Geändert vor 10 Jahren durch Whoopie

Have you done a "make radvd-dirclean"?
And which patch worked? The 1st or 2nd? Please be more verbose.

comment:17 Geändert vor 10 Jahren durch por

  • dirclean has been executed prior to make
  • I've applied v2 patch

comment:18 Geändert vor 10 Jahren durch por

  • Product Id auf 7170 gesetzt

r2990 still produces when configuring from the webui:

Saving settings...error reading post data, 0 bytes read, 96 expedted
done.
Saving radvd.cfg...done.

comment:19 Geändert vor 10 Jahren durch Whoopie

For the time being, radvd-fix.patch should fix it.
We are still discussing how to solve this issue as it affects other packages, too.

Geändert vor 10 Jahren durch Whoopie

comment:20 Geändert vor 10 Jahren durch por

Not so fast, at least a few words on the purpose and means when non-evident would be welcome. I do appreciate the efforts you put into freetz, but …

Replying to Whoopie:

… Please be more verbose.

comment:21 Geändert vor 10 Jahren durch Whoopie

Well, the problem is that radvd's pgk_pre_save function shall check the current settings with the changes and call the "/etc/init.d/radvd remove" if there're changes. As it's not possible to execute modcgi twice, I now saved the settings in the settings variable in save.cgi so that they can be used in the pkg_pre_save function.

It works fine, but I'd like to have the OK from the other developers before I commit it.

BTW, do you know how much time it costs to understand all the interactions? And the fix for radvd wasn't easy to find. I had to learn how IPv6 works and it was my first contact with IPv6.

comment:22 Geändert vor 10 Jahren durch por

An upstream developer has posted a patch to the developers mailing list:

On Fri, 16 Jan 2009, Pekka Savola wrote:

Can you try the attached patch? You will need to 'autoreconf' to regenerate
the configure and config.h.in files.

This fails in some corner cases still. A better working patch is here:

http://www.netcore.fi/pekkas/linux/radvd-libc-kernel-build-detect.patch


Pekka Savola "You each name yourselves king, yet the
Netcore Oy kingdom bleeds."
Systems. Networks. Security. — George R.R. Martin: A Clash of Kings


radvd-devel-l mailing list : radvd-devel-l@…
http://lists.litech.org/listinfo/radvd-devel-l

BTW, yes I do know that it takes a lot of effort to comprehend a software system its code. I'll test the save cgi path one of coming days.

comment:23 Geändert vor 10 Jahren durch Whoopie

This patch fails:

checking if IPV6_RECVPKTINFO is defined that it also works with kernel... configure: error: cannot run test program while cross compiling

comment:24 Geändert vor 10 Jahren durch por

FYI, the response from upstream:

On Sat, 17 Jan 2009, Paul Oranje wrote:

the patch fails:
checking if IPV6_RECVPKTINFO is defined that it also works with kernel… configure: error: cannot run test
program while cross compiling

thanks a lot though, for now I shall not further seek help form this mailing list, bye

Hmm. It appears that in a cross-compiler environment this problem is
difficult to fix in the generic case.

1) this is a bug in uClibc because it does not properly document the
required kernel version to run it. Recent versions have copied
header files from later kernels, and newer versions of uClibc
do not work properly with older kernels.

A possible way to address this problem at its roots (uClibc) is to
patch out IPV6_RECV* #defines in
libc/sysdeps/linux/common/bits/in.h and change the value of
IPV6_PKTINFO. Essentially by double checking the numbers in
kernel's include/linux/in6.h. But there are likely also other
breakages in the kernel interface that will cause problems with
other applications.

2) Alternative is to update the kernel to a sufficiently recent
version or patch backport relevant net/ipv6/ipv6_sockglue.c
changes from recent kernels.

3) This could be worked around in radvd and every other application
using features of the kernel interface that are broken.

Wrt. radvd:

a) I could consider adding patches of like provided by Freetz
project, but these are a bit problematic for two reasons: they
only work if the kernel versions being run closely matches the
kernel uclibc version was compiled, and this fix needs to be done
in every application. If the kernel is updated later on but radvd
is not, it also sticks to using the old interface. However, this
is not really a big problem as long as the kernel doesn't remove
the old 2292 setsockopt interface.

b) I tried to make a generic solution, but that fails with
cross-compiling, so "automatic" solution is not doable.

c) I could also consider adding a smaller subset patch that
would still require manual patching but at least that patch
would be simple (e.g. defining HAVE_BROKEN_IPV6_RECVPKTINFO
somewhere)

Given that the Freetz project appears to be a system integrator,
providing both the library and kernel for its users, either 1) or 2)
seems like a good choice from the architectural point of view. That
way other apps that may also use other broken features of the kernel
interface could also work without modifications (I'd suspect that some
other IPv6 apps are also broken, and some multicast apps could be as
well.)

But I could also consider a)-c) especially if this was only supposed
to address short-term issue, and there was already work going on to
develop a longer-term fix.


Pekka Savola "You each name yourselves king, yet the
Netcore Oy kingdom bleeds."
Systems. Networks. Security. — George R.R. Martin: A Clash of Kings

comment:25 Geändert vor 10 Jahren durch Whoopie

latest upstream version looks very good so I'll add this version.

Geändert vor 10 Jahren durch Whoopie

upstream patch

comment:26 Geändert vor 10 Jahren durch Whoopie

  • Lösung auf fixed gesetzt
  • Status von new nach closed geändert

everything fixed in r2995

comment:27 Geändert vor 8 Jahren durch muhlba91

  • Lösung fixed gelöscht
  • Status von closed nach reopened geändert

Opening ticket again because I have the same issue with the current trunk (r6246) on an 7170 box.

comment:28 Geändert vor 8 Jahren durch cuma

  • Beschreibung geändert (Diff)

Komisch, radvd funktioniet bei mir. Hast du nicht dieses Problem? #1076
1x reicht wie gesagt:
http://www.ip-phone-forum.de/showpost.php?p=1646502&postcount=99
http://www.ip-phone-forum.de/showpost.php?p=1646384&postcount=1

EDIT: Trac spinnt, ich hab die Description nicht geändert

comment:29 Geändert vor 8 Jahren durch muhlba91

Ja, tut mir leid, habe erst später kapiert, dass das ganze mit GW6 und radvd zusammenhängt und dann habe ich dieses Ticket gefunden.

Irgendwie passt das von dir genannte Ticket nicht. Bei mir sind die ganzen disable_ipv6 Files z.b. nicht da und da ich eine 7170 Box habe, kann ich IPv6 auch nicht "standardmäßig" per AVM Webinterface aktivieren.
Außerdem erhalte ich genau den in diesem Ticket oben genannten Fehler (und ich habs auch mit SixXs probiert → SixXs verbindet korrekt, aber radvd startet nicht).

(Aber um auf das andere Ticket zurückzukommen - was mir bei GW6 aufgefallen ist, dass der Dienst sagt, dass er nicht gestartet wurde sobald radvd nicht startet, obwohl ich eine IPv6 Adresse von GW6 auf meinem iface habe.)

comment:30 Geändert vor 8 Jahren durch cuma

Im anderen Ticket ist es genau das Problem, dass AVM an IPv6 herumgebastelt hat. Ich eine 7xxx mit aiccu/gw6+radvd, da funktioniert alles. Also vermutlich ein Konfigurationsproblem. Wenn die "disable_ipv6 Files" fehlen sind die Module evtl nicht geladen? Funktioniert ein tracerroute ohne radvd von der Box selbst aus?

comment:31 Geändert vor 8 Jahren durch muhlba91

Also, Module sind geladen (modprobe ipv6 bringt keinen Fehler und bei lsmod scheint ipv6 auch auf).
Zweitens: traceroute6 funktioniert wunderbarst auf ipv6.google.com.
Verwendest du eine 7170 Box? Falls ja, vl könntest du mir deine Config anhängen und ich probiers damit, denn bei dir gehts ja.

(Achja: ich bin aber nicht der einzige der dieses Problem wieder hat: http://www.voipfan.de/showthread.php?t=194261&page=5&highlight=radvd (die letzten paar Posts vor meinem))

comment:32 Geändert vor 8 Jahren durch cuma

Komme an die Einstellungen nicht mehr ran, die 7170 vor ein paar Tagen das Zeitliche gesegnet. Ich denke aber dass bei dir irgendwas mit den IPs nicht stimmt. Welche Meldungen kommen den per Syslog. Wird nicht in /tmp noch irgendeine Logdatei angelegt?

comment:33 Geändert vor 8 Jahren durch muhlba91

Kannst du das Ticket so verändern, dass ich als CC drinnen stehe, denn es ist einfacher, wenn man eine Mail erhält?

In syslog steht eigentlich nur dasselbe drinnen wie radvd ausgibt und gw6 legt in /tmp ein logfile an.
Da steht im Prinzip drinnen: IP erfolgreich holen, subnetz suchen, config schreiben und Interface starten. Bus dahin klappt alles. Dann startet er radvd - in diesem logfile gibt's keine Fehlermeldung direkt von radvd sondern nur dass es nicht gestartet wurde.
Danach sagt er komischerweise: Interface failure - klar, er konnte es ja nicht erfolgreich starten, da radvd nicht läuft.

Ich habs auch schon anders probiert: sixxs Tunnel starten - perfekt inkl ip! Dann radvd starten (in diesem Fall kann ichs nur mit einem tunnelbroker.Net subnetz probieren - beide: /64 und /48 gehen nicht - gleicher Fehler)

Schade…

comment:34 Geändert vor 8 Jahren durch oliver

  • Beobachter muhlba91 hinzugefügt

comment:35 Geändert vor 8 Jahren durch cuma

Interface failure? Ich dachte deine Fehlermeldung lautet "Protocol not available"? Evtl falsch konfiguriert? Oder keine Link-Lokal wie im anderen Ticket?

comment:36 Geändert vor 8 Jahren durch muhlba91

hier die Ausgabe, wenn ich /etc/init.d/gw6 start ausführe → Logfile in /tmp

2010/12/01 10:50:56 I gw6c: Checking for Linux IPv6 support...
2010/12/01 10:50:56 I gw6c: IPv6 support found.
2010/12/01 10:50:56 I gw6c: Keepalive interval: 30.
2010/12/01 10:50:56 I gw6c: Going daemon.
2010/12/01 10:50:56 I gw6c: TSP_OPERATION=TSP_TUNNEL_CREATION
2010/12/01 10:50:56 I gw6c: TSP_VERBOSE=3
2010/12/01 10:50:56 I gw6c: TSP_HOME_DIR=/usr/share/gw6
2010/12/01 10:50:56 I gw6c: TSP_TUNNEL_MODE=v6udpv4
2010/12/01 10:50:56 I gw6c: TSP_HOST_TYPE=router
2010/12/01 10:50:56 I gw6c: TSP_TUNNEL_INTERFACE=go6
2010/12/01 10:50:56 I gw6c: TSP_HOME_INTERFACE=lan
2010/12/01 10:50:56 I gw6c: TSP_CLIENT_ADDRESS_IPV4=85.127.164.252
2010/12/01 10:50:56 I gw6c: TSP_CLIENT_ADDRESS_IPV6=2406:a000:f0ff:fffe:0000:0000:0000:2b67
2010/12/01 10:50:56 I gw6c: TSP_CLIENT_DNS_NAME=muhlba91.broker.freenet6.net
2010/12/01 10:50:56 I gw6c: TSP_SERVER_ADDRESS_IPV4=116.197.146.63
2010/12/01 10:50:56 I gw6c: TSP_SERVER_ADDRESS_IPV6=2406:a000:f0ff:fffe:0000:0000:0000:2b66
2010/12/01 10:50:56 I gw6c: TSP_TUNNEL_PREFIXLEN=128
2010/12/01 10:50:56 I gw6c: TSP_PREFIX=2406:a000:f003:6f00
2010/12/01 10:50:56 I gw6c: TSP_PREFIXLEN=56
2010/12/01 10:50:56 I gw6c: Executing configuration script: /bin/sh "/usr/share/gw6/template/linux.sh".
2010/12/01 10:50:57 I gw6c: --- Start of configuration script. ---
2010/12/01 10:50:57 I gw6c: Script:  linux.sh
2010/12/01 10:50:57 I gw6c: go6 setup
2010/12/01 10:50:57 I gw6c: /sbin/ifconfig go6 up
2010/12/01 10:50:57 I gw6c: This host is: 2406:a000:f0ff:fffe:0000:0000:0000:2b67/128
2010/12/01 10:50:57 I gw6c: /sbin/ifconfig go6 add 2406:a000:f0ff:fffe:0000:0000:0000:2b67/128
2010/12/01 10:50:57 I gw6c: /sbin/ifconfig go6 mtu 1280
2010/12/01 10:50:57 I gw6c: Adding default route
2010/12/01 10:50:57 I gw6c: /sbin/route -A inet6 del ::/0
2010/12/01 10:50:57 I gw6c: /sbin/route -A inet6 del 2000::/3
2010/12/01 10:50:57 I gw6c: /sbin/route -A inet6 add ::/0 dev go6
2010/12/01 10:50:57 I gw6c: /sbin/route -A inet6 add 2000::/3 dev go6
2010/12/01 10:50:57 I gw6c: Router configuration
2010/12/01 10:50:57 I gw6c: /sbin/sysctl -w net.ipv6.conf.all.forwarding=1
2010/12/01 10:50:57 I gw6c: net.ipv6.conf.all.forwarding = 1
2010/12/01 10:50:57 I gw6c: /sbin/route -A inet6 add 2406:a000:f003:6f00::/56 dev lo
2010/12/01 10:50:57 I gw6c: Adding prefix to lan
2010/12/01 10:50:57 I gw6c: /sbin/ifconfig lan add 2406:a000:f003:6f00::1/64
2010/12/01 10:50:57 I gw6c: Starting radvd: /usr/sbin/radvd -p /var/run/radvd.pid -C /tmp/gw6c-rtadvd.conf
2010/12/01 10:50:57 I gw6c: /usr/sbin/radvd -p /var/run/radvd.pid -C /tmp/gw6c-rtadvd.conf
2010/12/01 10:50:57 I gw6c: Error while executing /usr/sbin/radvd
2010/12/01 10:50:57 I gw6c:    Command: /usr/sbin/radvd -p /var/run/radvd.pid -C /tmp/gw6c-rtadvd.conf
2010/12/01 10:50:57 E gw6c: Failed to execute template script correctly.
2010/12/01 10:50:57 E gw6c: Interface setup (running the template linux) failed. Quitting.
2010/12/01 10:50:57 E gw6c: Last error is 4: INTERFACE_SETUP_FAILED.
2010/12/01 10:50:57 I gw6c: Done.

d.h. ich bekomme eine IPv6 Adresse und ein Subnetz zugewiesen von GW6. Wenn er nun radvd starten will funktioniert das nicht und er bekommt den INTERFACE_SETUP_FAILED Error. Aber er weist meinem Device lan eine IPv6 Adresse zu:

lan       Link encap:Ethernet  HWaddr 00:24:FE:38:A4:5A
          inet addr:10.1.2.1  Bcast:10.1.2.255  Mask:255.255.255.0
          inet6 addr: 2406:a000:f003:6f00::1/64 Scope:Global
          inet6 addr: fe80::224:feff:fe38:a45a/64 Scope:Link
          UP BROADCAST RUNNING ALLMULTI MULTICAST  MTU:1500  Metric:1
          RX packets:1660600 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2734159 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:320579139 (305.7 MiB)  TX bytes:3211777624 (2.9 GiB)

Wenn ich nun radvd alleine ausführe erhalte ich die Fehlermeldung dieses Tickets. (Wie oben schon erwähnt habe ich es mit GW6 probiert und mit einem Tunnelbroker.net Subnetz - beides bringt denselben Fehler.

und: leider habe ich keine Ahnung was eine Link-Lokal Adresse ist…
und: danke, dass ich nun E-Mails erhalte! :)

comment:37 Geändert vor 8 Jahren durch cuma

Die Fehlermeldung "Protocol not available" kommt evtl weil radvd kein ipv6 Modul lädt, es geht davon aus dass IPv6 bereit ist. Ansonsten macht es auch wenig Sinn irgendwas zu announcen.
Dein Problem ist wohl das "Failed to execute template script correctly." (/usr/share/gw6/template/linux.sh)

Du müsstest jetzt herausfinden welcher Befehl darin fehlschlägt. Setz mal TSP_VERBOSE=2 oder set -x

comment:38 Geändert vor 8 Jahren durch muhlba91

Hab jetzt set -x ausgeführt und dann nochmals gw6 gestartet und es kommt genau derselbe Fehler. Ich weiß zwar nicht, wie linux.sh ausgeführt wird, aber wenn ich es händisch ohne Parameter starte, kommt der Fehler:

TSP_HOME_DIR variable not specified!;

Außerdem habe ich vorher modprobe ipv6 ausgeführt, sodass das Modul wirklich geladen ist und lsmod zeigt es mir auch an.

(Weißt du noch ungefähr wie deine Konfig ausgesehen hat, sodass du sie mit dem aktuellen Trunk neu erstellen kannst - zumindest den IPv6 Part?)

comment:39 Geändert vor 8 Jahren durch cuma

Wenn TSP_HOME_DIR nicht gesetzt ist bricht das Skript gleich ab, bringt also nichts. An Konfiguration gibt es da ja nicht viel. Ich kann da nicht weiterhelfen. Nutzt sonst niemand radvd?

comment:40 Geändert vor 8 Jahren durch Whoopie

Ich kann das nicht nachvollziehen. Funktioniert auf meiner 7170 reibungslos.

@muhlba91: Hast Du mit einem frischen Checkout des Trunks angefangen? Können wir Deine .config haben?

comment:41 Geändert vor 8 Jahren durch muhlba91

Ja klar hab ich mit einem neuen Checkout angefangen. Beim ersten Mal hab ich anscheinend was vergessen und ich hab kein Internet gehabt. Danach habe ich eben neu angefangen…

Bei dir funktionierts? Hängst du deine .config an?
(hab meine .config nun angehängt!)

Geändert vor 8 Jahren durch muhlba91

.config File → muhlba91

comment:42 Geändert vor 8 Jahren durch Whoopie

Ich baue die Toolchain selber.

Ich denke, es liegt an der Download-Toolchain. Der IPv6-Fix für ältere Kernels in r5476, r5478 und r5493 überprüft beim Kompilieren der Toolchain die Kernel-Version.

@oliver: Wie hast Du die Download-Toolchain gebaut? Ich denke, wir brauchen für jede Kernel-Version (oder nur für 2.6.13) eine eigene, da sonst der Check nicht funktioniert.

comment:43 Geändert vor 8 Jahren durch oliver

Ja, ich habe die Toolchain für 7270 (2.6.19.2) gebaut. Daher steht in linux/version.h nicht dir richtige Version. Die Frage ist, ob wir wirklich eine komplette Toolchain benötigen oder ob es ausreicht, wenn wir die richtigen Kernel-Header nutzen? Minmalversion wäre, wenn wir die passende Kernel-Version in linux/version.h in Abhängigkeit des gewählten Kernels schreiben.
Falls wir wirklich noch eine extra Toolchain benötigen müssten alle anderen auch angepasst werden, da wir dann noch eine Erweiterung der Bezeichnung benötigen.

comment:44 Geändert vor 8 Jahren durch muhlba91

Leider habe ich keinen Plan von was ihr das redet, daher eine kleine Zwischenfrage: was heißt das ganze jetzt für mich?

comment:45 Geändert vor 8 Jahren durch oliver

Wenn du das zum Laufen bringen willst, dann musst du mit einem frischen Checkout von vorne anfangen und die Toolchain selbst bauen (Advanced Options→Compiler Options→Build Toolchain).

comment:46 Geändert vor 8 Jahren durch muhlba91

OK, jetzt funktionierts! Danke! :-)

Aber ein anderes Problem ist aufgetaucht. Die INPUT-Chain für ip6tables gibts nicht genauso wie er sagt, dass x_tables nicht geladen werden konnten…

comment:47 Geändert vor 8 Jahren durch por

Please, close this bug and, when needed, create a new bug about the pre-compiled toolchain since it seems to depend on the toolchain used.

comment:48 Geändert vor 8 Jahren durch muhlba91

ok, but I can't close this ticket…

comment:49 Geändert vor 8 Jahren durch er13

In [6384]:

toolchain:

  • exclude kernel-headers from the download-toolchain
  • install the right ones at the build-time
  • refs #842, refs #348

comment:210 Geändert vor 8 Jahren durch er13

  • Lösung auf fixed gesetzt
  • Status von reopened nach closed geändert
  • Verantwortlicher auf er13 gesetzt

In [6385]:

radvd, ndas:

  • ensure both packages are built with right kernel headers
  • fixes #348
Hinweis: Hilfe zur Verwendung von Tickets finden Sie in TracTickets.